package com.ningdatech.carapi.sys.helper;

import com.ningdatech.carapi.AppTests;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * <p>
 * RegionsCacheHelperTempTest
 * </p>
 *
 * @author WendyYang
 * @since 22:24 2022/10/24
 */
class RegionsCacheHelperTempTest extends AppTests {

    @Autowired
    private RegionsCacheHelper regionsCacheHelper;

    @Test
    void refresh() {
        regionsCacheHelper.refresh(7L);
    }

    @Test
    void getAll() {
        regionsCacheHelper.getAll().forEach(System.out::println);
    }

    @Test
    void listChildRegionId() {
        regionsCacheHelper.listChildRegionId(2L).forEach(System.out::println);
    }

    @Test
    void listParents() {
        regionsCacheHelper.listParents(128L).forEach(System.out::println);
    }

    @Test
    void getDisplayName() {
        System.out.println(regionsCacheHelper.getDisplayName(128L));
    }
}